@use 'color';

$card: var(--digi--border-width--tertiary) var(--digi--border-style--primary) var(--digi--global--color--profile--purple--opacity15);
$list: $card;
$table: $card;
$separator-on-contrast: var(--digi--border-width--tertiary) var(--digi--border-style--primary) var(--digi--global--color--profile--purple--opacity60);
$focus-outline: var(--digi--color--border--focus) var(--digi--border-style--primary) var(--digi--border-width--secondary);
$box: var(--digi--border-width--secondary) solid var(--digi--color--border--secondary);
$current: var(--digi--global--border-width--larger) solid var(--digi--color--border--focus);

@function dashed($color) {
	@return url("data:image/svg+xml,%3csvg width='100%25' height='100%25' xmlns='http://www.w3.org/2000/svg'%3e%3crect width='100%25' height='100%25' fill='none' stroke='#{color.encode($color)}' stroke-width='4' stroke-dasharray='6%2c 14' stroke-dashoffset='0' stroke-linecap='square'/%3e%3c/svg%3e");
}
